// Code generated by go-swagger; DO NOT EDIT.

package ansible

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*AnsibleRoleGenerateDefault An unexpected error response

swagger:response ansibleRoleGenerateDefault
*/
type AnsibleRoleGenerateDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewAnsibleRoleGenerateDefault creates AnsibleRoleGenerateDefault with default headers values
func NewAnsibleRoleGenerateDefault(code int) *AnsibleRoleGenerateDefault {
	if code <= 0 {
		code = 500
	}

	return &AnsibleRoleGenerateDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the ansible role generate default response
func (o *AnsibleRoleGenerateDefault) WithStatusCode(code int) *AnsibleRoleGenerateDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the ansible role generate default response
func (o *AnsibleRoleGenerateDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the ansible role generate default response
func (o *AnsibleRoleGenerateDefault) WithPayload(payload *models.Error) *AnsibleRoleGenerateDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the ansible role generate default response
func (o *AnsibleRoleGenerateDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *AnsibleRoleGenerateDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
